Alcatraz в XCode 7.1

Обратите внимание, что с XCode 8 Alcatraz больше не работает в редакторе Extension Tutorial


Я не могу установить Alcatraz для Xcode 7.1

Согласно их ленте Twitter, Alcatraz должен работать с XCode 7.1. Я попытался удалить и переустановить.

Я использовал рекомендованную установку

curl -fsSL https://raw.githubusercontent.com/supermarin/Alcatraz/deploy/Scripts/install.sh | sh 

Может быть, это связано с тем, что у меня установлен XCode 6.4?

введите описание изображения здесь

4 Solutions collect form web for “Alcatraz в XCode 7.1”

Ответ @Mopr, возможно, решит, но не работает для меня. Я получил более полный ответ от вопроса Энисто Пино Алькатраса 352, который я переписываю здесь

1) Закрыть Xcode

2) Удалите предыдущие значения по умолчанию для Xcode 7.0

 defaults delete com.apple.dt.Xcode DVTPlugInManagerNonApplePlugIns-Xcode-7.0 

3) Удалить Alcatraz

 rm -rf ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins/Alcatraz.xcplugin 

4) Удалите все пакеты, установленные через Alcatraz

 rm -rf ~/Library/Application\ Support/Alcatraz/ 

5) Обновите DVTPlugInCompatibilityUUID до 7.1 в плагинах плагинов:

 find ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins -name Info.plist -maxdepth 3 | xargs -I{} defaults write {} DVTPlugInCompatibilityUUIDs -array-add defaults read /Applications/Xcode\ 7.1.app/Contents/Info DVTPlugInCompatibilityUUID 

6) Сброс выбора Xcode

 sudo xcode-select --reset 

7) Открыть Xcode

8) Установите Alcatraz

 curl -fsSL https://raw.github.com/supermarin/Alcatraz/master/Scripts/install.sh | sh 

9) Перезапустить Xcode

10) Выберите «Load Bundles» в диалоговом окне при запуске Xcode.

Я сделал то же, что предложил Райан, и это не сработало. Тогда я понял, что у него есть:

defaults delete com.apple.dt.Xcode DVTPlugInManagerNonApplePlugIns-Xcode-7.0

Поскольку я на 7.1, я изменил его на

 defaults delete com.apple.dt.Xcode DVTPlugInManagerNonApplePlugIns-Xcode-7.1 

PS Я бы сделал это замечанием, но я слишком много комментариев, чтобы делать комментарии 3; (

У меня была такая же проблема с 7.1, и просто переустановка Alcatraz не помогла. У меня также есть XCode 6.4, который может быть связан. Я нашел решение здесь – https://github.com/supermarin/Alcatraz/issues/352

Как упоминалось welsonla , вам нужно выйти из XCode и войти в терминал

 find ~/Library/Application\ Support/Developer/Shared/Xcode/Plug-ins -name Info.plist -maxdepth 3 | xargs -I{} defaults write {} DVTPlugInCompatibilityUUIDs -array-add `defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID` 

тогда

 sudo xcode-select --reset 

Я также удалил Alcatraz до этого и переустановил его после, на всякий случай.

Я переместил Alcatraz.xcplugin из папки подключаемого модуля. Откройте Xcode, затем закройте. Позже я вернулся в папку плагина и снова открыл Xcode. Он спросил меня, загружать ли пучки, просто нажимать на груз и загружать его. [Github.com/supermarin/Alcatraz/issues/359]

PhoneC: Разработка iOS проста с помощью XCode, Swift3, UITableView, cocatouch, давайте создадим приложения для iPhone, iPad и Macbook.